﻿// Kerbal Engineer Redux
// Author:  CYBUTEK
// License: Attribution-NonCommercial-ShareAlike 3.0 Unported
//
// Code origin for this class: http://msdn.microsoft.com/en-us/library/ms996467.aspx

using System;
using System.Windows.Forms;
using System.Collections;

namespace KSP_Part_Lister
{
    class ListViewItemComparer : IComparer
    {
        bool ascending = true;

        private int col;
        public ListViewItemComparer()
        {
            col = 0;
        }
        public ListViewItemComparer(int column, bool ascending)
        {
            col = column;
            this.ascending = ascending;
        }
        public int Compare(object x, object y)
        {
            if (ascending)
            {
                int returnVal = -1;
                returnVal = String.Compare(((ListViewItem)x).SubItems[col].Text,
                ((ListViewItem)y).SubItems[col].Text);
                return returnVal;
            }
            else
            {
                int returnVal = -1;
                returnVal = String.Compare(((ListViewItem)y).SubItems[col].Text,
                ((ListViewItem)x).SubItems[col].Text);
                return returnVal;
            }
        }
    }
}
